From 166b4fd6387ee4620bbedbb1d7151509a47d4f12 Mon Sep 17 00:00:00 2001
From: Vivek Anand <vivekanand1101@gmail.com>
Date: Oct 05 2016 10:03:26 +0000
Subject: [PATCH 646/1001] some beautification for contact widget


---

diff --git a/hubs/widgets/contact.py b/hubs/widgets/contact.py
index 8ebce6f..b76873c 100644
--- a/hubs/widgets/contact.py
+++ b/hubs/widgets/contact.py
@@ -1,10 +1,10 @@
-from hubs.widgets.chrome import panel
-from hubs.widgets import templating
 import flask
-import hubs.models
+
 import fedmsg.config
 import fedmsg.meta
-import datetime
+import hubs.models
+from hubs.widgets.chrome import panel
+from hubs.widgets import templating
 
 config = fedmsg.config.load_config()
 
@@ -15,6 +15,11 @@ position = 'both'
 
 # TODO: update this section when FAS3 is deployed
 def data(session, widget, **kwargs):
+    ''' Data for Contact widget. Checks if the hub associated
+    with widget is of a user or not. If the hub is of a user, return
+    data related to the user else, hub is of a fedora team
+    - return data related to the team '''
+
     hub = widget.hub
     if hub.user_hub:
         usergroup = True
@@ -22,14 +27,14 @@ def data(session, widget, **kwargs):
         email = user.username + '@fedoraproject.org'
         karma_url = flask.url_for('plus_plus_status', user=user.username)
         fas_info = {
-                    'usergroup': usergroup,
-                    'location': 'United States',
-                    'timezone': 'UTC',
-                    'email': email,
-                    'ircnick': user.username,
-                    'karma_url': karma_url,
-                    'account_age': 'Oct 2010',
-                   }
+            'usergroup': usergroup,
+            'location': 'United States',
+            'timezone': 'UTC',
+            'email': email,
+            'ircnick': user.username,
+            'karma_url': karma_url,
+            'account_age': 'Oct 2010',
+        }
     else:
         usergroup = False
         # TODO: update this section integrating with FAS3
@@ -39,22 +44,20 @@ def data(session, widget, **kwargs):
         elif hub.name == 'designteam':
             ircchannel = 'design'
             hubname = 'design'
-        elif hub.name == 'commops':
-            ircchannel == 'commops'
-            hubname = 'commops'
         elif hub.name == 'marketing':
             ircchannel = 'mktg'
             hubname = 'marketing'
         else:
             ircchannel = hub.name
             hubname = hub.name
-        mailinglist = 'https://lists.fedoraproject.org/archives/list/{}@lists.fedoraproject.org/'.format(hubname)
+        mailinglist = 'https://lists.fedoraproject.org/archives/list/{}'
+        '@lists.fedoraproject.org/'.format(hubname)
         wikilink = 'https://fedoraproject.org/wiki/' + hubname
         fas_info = {
-                    'usergroup': usergroup,
-                    'hubname': hubname,
-                    'ircchannel': 'fedora-%s'%ircchannel,
-                    'mailinglist': mailinglist,
-                    'wikilink': wikilink,
-                   }
+            'usergroup': usergroup,
+            'hubname': hubname,
+            'ircchannel': 'fedora-%s' % ircchannel,
+            'mailinglist': mailinglist,
+            'wikilink': wikilink,
+        }
     return fas_info

